%bcond_with docs
%global srcname webencodings

Summary:       Character encoding for the web
Name:          python-%{srcname}
Version:       0.5.1
Release:       3%{?dist}
License:       BSD
URL:           https://github.com/gsnedders/python-%{srcname}
Source0:       %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildRequires: python3-devel python3-setuptools python3-pytest
%if %{with docs}
BuildRequires: python3-sphinx
%endif

BuildArch:     noarch

%description
This is a Python implementation of the WHATWG Encoding standard.

%if %{with docs}
%package doc
Summary: Documentation for python-webencodings

%description doc
Documentation for python-webencodings.
%endif

%package -n python3-%{srcname}
Summary: Character encoding for the web
Requires: python3


%description -n python3-%{srcname}
This is a Python implementation of the WHATWG Encoding standard.

%prep
%autosetup -n python-%{srcname}-%{version}


%build
%py3_build
%if %{with docs}
PYTHONPATH=. sphinx-build-3 docs docs/_build
rm -rf docs/_build/.buildinfo
rm -rf docs/_build/.doctrees
%endif

%install
%py3_install


%check
py.test-3

%if %{with docs}
%files doc
%license LICENSE
%doc docs/_build
%endif

%files -n python3-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/*.egg-info


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.1-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Feb 13 2023 Miaojun Dong <zoedong@tencent.com> - 0.5.1-1
- initial build
